[package]
name = "blockchain"
version = "0.1.0"
edition = "2024"

[dependencies]
chrono = "0.4.41"
clap = { version = "4.5.45", features = ["derive"] }
hex = "0.4.3"
serde = { version = "1.0.219", features = ["derive"] }
serde_json = "1.0.143"
sha2 = "0.10.9"
thiserror = "2.0.16"
tokio = { version = "1.47.1", features = ["rt-multi-thread", "net", "sync", "time", "macros"] }
tokio-tungstenite = "0.27.0"
uuid = { version = "1.18.0", features = ["v4", "serde"] }
vlogger = { path = "../lib/logger-rs" }
ratatui = "0.29.0"
crossterm = { version = "0.29.0", features = ["event-stream"] }
once_cell = "1.21.3"
async-trait = "0.1.89"
anyhow = "1.0.99"
memory-stats = "1.2.0"
# jemalloc = "0.3.0"
# jemallocator = "0.5.4"
textwrap = "0.16.2"
sled = "0.34.7"
bincode = { version = "2.0.1", features = ["derive", "serde"] }
futures = "0.3.31"
secp256k1 = { version = "0.31.1", features = ["hashes", "rand", "recovery", "serde"] }
ring = "0.17.14"
